<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__position__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_position_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__position__t_1aaa333fb1aa5285e28ffdf6cc47248741" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_position_t::x</definition>
        <argsstring />
        <name>x</name>
        <briefdescription>
<para>X position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="123" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__position__t_1a29b1ad8aeb8ab133b7696273fbdfa6cf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_position_t::y</definition>
        <argsstring />
        <name>y</name>
        <briefdescription>
<para>Y position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="124" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__position__t_1a9a62c41da414fc72932fd1bcd8fbfc96" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_position_t::z</definition>
        <argsstring />
        <name>z</name>
        <briefdescription>
<para>Z value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="125" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__position__t_1ab5fb803657d04c35adc32a2685905e67" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_position_t::id</definition>
        <argsstring />
        <name>id</name>
        <briefdescription>
<para>ID of touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="126" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares position structure that keep information of a single touch. </para>    </briefdescription>
    <detaileddescription>
<para>Depending on a widget type each structure field keeps the following information:</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Structure Field &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Slider &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Matrix Buttons &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;CSD Touchpad &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;CSX Touchpad  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;x &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;X-axis position &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Active Column &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;X-axis position &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;X-axis position  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;y &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Active Row &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Y-axis position &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Y-axis position  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;z &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;MSB = Age of touch; LSB = Z-value  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;id &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Logical number of button &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Reserved &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;MSB = Debounce; LSB = touch ID  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>    </detaileddescription>
    <location bodyend="127" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="122" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__position__t_1ab5fb803657d04c35adc32a2685905e67" virt="non-virtual"><scope>cy_stc_capsense_position_t</scope><name>id</name></member>
      <member prot="public" refid="structcy__stc__capsense__position__t_1aaa333fb1aa5285e28ffdf6cc47248741" virt="non-virtual"><scope>cy_stc_capsense_position_t</scope><name>x</name></member>
      <member prot="public" refid="structcy__stc__capsense__position__t_1a29b1ad8aeb8ab133b7696273fbdfa6cf" virt="non-virtual"><scope>cy_stc_capsense_position_t</scope><name>y</name></member>
      <member prot="public" refid="structcy__stc__capsense__position__t_1a9a62c41da414fc72932fd1bcd8fbfc96" virt="non-virtual"><scope>cy_stc_capsense_position_t</scope><name>z</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>